Deprecate flow api

Use this API to deprecate the flow.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup
flowIdFlow Id{{FLOW_ID}}StringRequiredFlow Id generated by Meta

Sample Request

curl --location --globoff --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows/{{FLOW_ID}}/deprecate' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json'

Sample Response

{
    "status": "success",
    "success": true
}

Status Codes

Status CodeResponseComments
Success
200

{

"status": "success",
"success": true
}

Successfully deprecate a flow
Error
400

{

"status": "error",
"message": "Flow was never published, it cannot be deprecated"
}

For deprecating a draft flow
Path Params
string
required

Unique identifier of the app.

string
required

Flow Id generated by Meta

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json